blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
87a2d2c78f2a12618449c4ad472c6afc930c09e2
Shell
scriptlib/sh
/totalcmd
UTF-8
991
2.890625
3
[]
no_license
#!/bin/sh ###totalcmd v0.1 ### - totalcmd ### - Written by duel, 2008-12-24 ###Usage: ### totalcmd ###Option: ### -h Display help text ###Example: ### totalcmd #resume=`/myplace/wine/bin/get-appdefault.pl "TotalCmd.exe"` #/myplace/wine/bin/del-appdefault.pl "TotalCmd.exe" #/myplace/wine/bin/set-app...
true
6c0e9d409e22e0fdd445f014f92886a3f55dca4d
Shell
castocolina/scripts
/common/install_golang.sh
UTF-8
1,405
2.765625
3
[]
no_license
#!/bin/bash BASEDIR=$(dirname "$0") sudo echo "Test sudo" source $BASEDIR/install_func.sh source $MY_SH_CFG_FILE MY_OS=$(get_os) echo echo $SEPARATOR echo ">>>>> GOLANG ................" echo $SEPARATOR echo -n "UPDATE? (y/n) > " read to_update exist_cmd go || brew install golang exist_cmd go && is_true $to_update...
true
62a8901f5a27f6bb0a9ddbde55c783d62f031905
Shell
mikhbur/conformer
/modules/CiscoSSLVPN.sh
UTF-8
5,946
3.25
3
[ "MIT" ]
permissive
#!/bin/bash check_ciscoSSLVPN(){ old_ver=false; check_Portal=$(wget --timeout=4 -qO- https://$1/+CSCOE+/logon.html --no-check-certificate); if ([ "$(echo "$check_Portal" | grep 'name="username"')" ] && [ "$(echo "$check_Portal" | grep 'name="password"')" ] && [ "$(echo "$check_Portal" | grep 'name="Login"')" ]) || ...
true
2d4777262eeda1c5059c7f9bd43510ba9bc5caa5
Shell
saurabhnikam1997/ProgrammingConstructs11
/@Day7/Secndlargesmallwtsort.sh
UTF-8
969
4
4
[]
no_license
#! /bin/bash -x declare -a array function numberGenerate() { for (( i=0; i<10; i++ )) do number=$(((RANDOM %900)+100)) array[i]=$number done echo echo Generate Array.. ${array[@]} echo } function SecondLargest() { largest=$1 SecondLargest=$1 for m in $* do if [[ $m -gt $largest ]] then SecondLar...
true
373f3e984fb8d65cb31095740f28c0ba16602593
Shell
petronny/aur3-mirror
/lzma-sdk/PKGBUILD
UTF-8
1,644
2.625
3
[]
no_license
pkgname=lzma-sdk pkgver=9.22 pkgrel=1 pkgdesc="The LZMA SDK provides the libraries you need to develop applications that use LZMA compression." url="http://www.7-zip.org/sdk.html" arch=(any) license=("public domain") makedepends=(java-environment mono) conflicts=(lzma) optdepends=("java-environment: Java SDK" "mono: .N...
true
de29af4d4dd82c91d1b3e7d95cc2a6524edf9468
Shell
pawelKapl/git-tutorial
/git.04.resolve.conflicts
UTF-8
4,002
3.375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash ################################################################################# # # # Copyright 2016 Augustyn Kończak # # ...
true
8eccde26bda9d3885031ef1a08e8be2477815a4a
Shell
CrunchyData/crunchy-containers
/bin/postgres_common/postgres/custom-configs.sh
UTF-8
1,002
3.390625
3
[ "LicenseRef-scancode-unknown-license-reference", "Apache-2.0" ]
permissive
#!/bin/bash CRUNCHY_DIR=${CRUNCHY_DIR:-'/opt/crunchy'} source "${CRUNCHY_DIR}/bin/common_lib.sh" enable_debugging function custom_config() { src=${1?} dest=${2?} mode=${3?} if [[ -f ${src?} ]] then echo_info "Custom ${src?} detected. Applying custom configuration.." cp ${src?} ${...
true
575f16876959d561efeac748567ebdd2fbe242dd
Shell
kevincoakley/workbench-helm-chart
/generate-self-signed-cert.sh
UTF-8
892
4.28125
4
[]
no_license
#!/bin/bash # # This script will generate a self-signed TLS certificate for the given domain. If no domain is specified, the user will be prompted for one. # # Usage: ./generate-self-signed-cert.sh [domain] # ECHO="echo -e" domain="$1" mkdir -p certs/ if [ "$domain" == "" ]; then $ECHO "Please specify a domain ...
true
8c1a461051d4e3681d22e0cd5a6ef023b8cb1f3c
Shell
MeiChihChang/Applied-Security-Lab-Student-Project-ETHZ
/scripts/export.sh
UTF-8
678
2.96875
3
[]
no_license
# WINDOWS SCRIPT change VBoxManage.exe for vboxmanage in Linux # comment this is VManage.exe is in the path cd 'C:\Program Files\Oracle\VirtualBox\' VBoxManage.exe list vms | tac echo "-" for vm in `VBoxManage.exe list vms | tac`; do for i in $(echo $vm | tr " " "\n") do if [[ $i == *"ho...
true
bc26a8d2cb8a82c1ecf97e3e0a6a7c75191fbcc0
Shell
aaronzirbes/httpie-json-scripts
/find
UTF-8
656
3.15625
3
[]
no_license
#!/bin/bash . host.include countStr=3 service=$1 lat=$2 lon=$3 if [ "$service" == "" ]; then echo "You must supply a service name" exit 1 fi if [ "$lat" == "" ]; then echo "You must supply a latitude and longitude" lat=45.831335 lon=-95.383322 echo " for example: ./find dealer $lat $lon" ...
true
f83560238afeeb2f8e977051b095b95d3baddd39
Shell
ValdrST/vrtg
/crearSitio.sh
UTF-8
2,016
3.859375
4
[ "MIT" ]
permissive
#!/bin/sh # Solicita la IP echo "Indique el número de servidor:" echo "1. venganzaiii.somch.org" echo "2. somch.org" read numeroServidor # Determina si el Servidor es válido case ${numeroServidor} in "1") ip=venganzaiii.somch.org ;; "2") ip=somch.org ;; *) echo "Servidor no válido" exit 1 ;; esac # Solic...
true
bbae554f30cf669ae4db21651156ca8b52f1be0c
Shell
DeltaF1/noodle
/build.sh
UTF-8
420
3.203125
3
[ "MIT" ]
permissive
#!/bin/sh -e echo "Cleaning.." rm -rf bin mkdir bin echo "Assembling.." uxnasm src/main.tal bin/noodle.rom echo "Installing.." if [ -d "$HOME/roms" ] && [ -e ./bin/noodle.rom ] then cp ./bin/noodle.rom $HOME/roms echo "Installed in $HOME/roms" fi if [ "${1}" = '--push' ]; then echo "Pushing.." ~/Applicati...
true
6d4ff9ff2a69d9e03c214ccf81364f7422aed086
Shell
bargassa/Stop4Body
/Macros/StepN_BDTOutFits.sh
UTF-8
722
2.953125
3
[]
no_license
#!/bin/bash . setupJSONs.sh . setupPaths.sh INPUT=${TEST_DIR}_bdt/ OUTPUT=~cbeiraod/local-area/Stop4Body/BDT_Fits/ OUTPUT_INJ=~cbeiraod/local-area/Stop4Body/BDT_Fits_Injected/ OUTPUT_DAT=~cbeiraod/local-area/Stop4Body/BDT_Fits_Data/ if [[ ! -d ${OUTPUT} ]] ; then mkdir -p ${OUTPUT} fi if [[ ! -d ${OUTPUT_INJ} ]] ...
true
00516b952b61f123f3d554c70fc4549cef6c6873
Shell
abitwise/dotfiles
/.bash_profile
UTF-8
3,657
3.171875
3
[ "MIT", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
# Add /usr/local/sbin to path export PATH=/usr/local/sbin:$PATH; # Add `~/bin` to the `$PATH` export PATH="$HOME/bin:$PATH"; # Add Python 3 bins to path export PATH="$HOME/Library/Python/3.6/bin:$PATH"; # Load the shell dotfiles, and then some: # * ~/.path can be used to extend `$PATH`. # * ~/.extra can be used for ...
true
3a4120852dba4f316fdc5af7e6dc2eb40ea5187e
Shell
OyugoObonyo/alx-system_engineering-devops
/0x04-loops_conditions_and_parsing/3-until_holberton_school
UTF-8
151
3.328125
3
[]
no_license
#!/usr/bin/env bash #Using until loop to print Holberton School 10 times i=0 until [ $i -eq 10 ] do echo "Holberton School" (( i++ )) done
true
9778bf5cde6f208842e33616f7fdabf3c29e9970
Shell
StreakyCobra/aur-python-keras-git
/PKGBUILD
UTF-8
1,675
2.640625
3
[]
no_license
# Maintainer: Fabien Dubosson <fabien.dubosson@gmail.com> pkgbase="python-keras-git" pkgname=("python-keras-git" "python2-keras-git") _pkgname="keras" pkgver=1.2.0.r106.ge54d7951 pkgrel=1 pkgdesc="Deep Learning library (convnets, recurrent neural networks, and more)" arch=('i686' 'x86_64') url="https://github.com/fcho...
true
f966be0e7e8e3d780d3aaf54c63d5059749a6b53
Shell
rcelha/flask-desk
/scripts/build_image
UTF-8
273
2.59375
3
[]
no_license
#!/bin/sh set -ex; image_name=rcelha/flask_desk_application container_name=rcelha_flask_desk_application_run echo Build docker image; docker-compose -f docker-compose.prod.yml stop docker-compose -f docker-compose.prod.yml rm --force app docker build -t ${image_name} .
true
9bc0de9a2d83ba3c8b03bc9a41fe4f32ac6dbaff
Shell
suDisdain/dotfiles
/.local/bin/shortcuts
UTF-8
446
3.359375
3
[]
no_license
#!/usr/bin/env bash # Output locations. Unactivated progs should go to /dev/null. shell_shortcuts="${XDG_CONFIG_HOME:-$HOME/.config}/shortcutrc" # Remove, prepare files printf "# vim: filetype=sh\\nalias " > "$shell_shortcuts" # Format the `files` file in the correct syntax and sent it to both configs. sed "s/\s*#.*...
true
9e03521cf28d1359ba1470ad464d2ac4b8d7db3c
Shell
uniquehash/C
/piscine/day12/ex00/tests/test5.sh
UTF-8
578
3.546875
4
[]
no_license
#!/bin/zsh TMPDIRNAME=$(mktemp -d) BINARYNAME=$RANDOM trap "rm -rf $TMPDIRNAME" EXIT cd .. make all || exit 1 cp ft_display_file $TMPDIRNAME/$BINARYNAME cd $TMPDIRNAME YELLOW=$(printf "\e[33;1m") GREEN=$(printf "\e[32;1m") RED=$(printf "\e[31;1m") RESET=$(printf "\e[m") mkdir dir printf "" > input printf "" > expec...
true
cdbcc97e3d6ae3605d033539b827a0f53c820b0e
Shell
mattrayner/Notes
/backups/.bash_profile
UTF-8
1,748
2.75
3
[]
no_license
alias ll="ls -lahG" [[ -s "$HOME/.profile" ]] && source "$HOME/.profile" # Load the default .profile [[ -s "$HOME/.bash_prompt" ]] && source "$HOME/.bash_prompt" # Load our custom bash prompt [[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" # Load RVM into a shell session *as a function* [[ -s ~...
true
6701144a9fd4dbd8d9513e04e9649ba4be3d9b14
Shell
zichaotong/Computation_using_CPP
/vector_read/vector_read_prb.sh
UTF-8
599
3.046875
3
[]
no_license
#!/bin/bash # g++ -c -g -I/$HOME/include vector_read_prb.cpp >& compiler.txt if [ $? -ne 0 ]; then echo "Errors compiling vector_read_prb.cpp" exit fi rm compiler.txt # g++ vector_read_prb.o /$HOME/libcpp/$ARCH/vector_read.o -lm if [ $? -ne 0 ]; then echo "Errors linking and loading vector_read_prb.o." exit fi ...
true
afeb86c1b772ce2213acdfd7b19752832e43f489
Shell
sayan2407/BridgeLabz-All-Program
/Day6_14.sh
UTF-8
250
3.34375
3
[]
no_license
#! /usr/bin/bash -x read -p "Enter N : " n for (( i=2 ; i<=$n ;i++ )) do b=0 for (( j=2 ; j<=$(( i/2 )) ;j++ )) do if [ $(( i % j )) -eq 0 ] then b=1 break fi done if [ $b -eq 0 ] then echo -n "$i " fi done
true
b792891dbc62144826720050e402ba50d2743e17
Shell
gayoso/SistemasOperativos
/grupo09/Arrancar.sh
UTF-8
1,947
3.734375
4
[]
no_license
#!/bin/bash source AFRAINfunc.sh ARRANCAR="Arrancar" CALLER="$2" cantParametros="$#" function loguearErrorOEcho { if [[ "$cantParametros" -eq 1 ]]; then echo "[ERROR] $1" else logEchoError "$CALLER" "Arrancar.sh: $1" fi } function loguearInfoOEcho { if [[ "$cantParametros" -eq 1 ]]; then echo "[INFO] $1" ...
true
35cd8349d1d7575cf672d5e4aaae7ebd5b689dec
Shell
aheimsbakk/notes
/install-powerline-go.sh
UTF-8
1,741
3.65625
4
[]
no_license
#!/bin/sh # # Install or reinstall powerline in /etc/profile.d. # # wget -O - https://raw.githubusercontent.com/aheimsbakk/notes/master/install-powerline.sh | sudo bash # BASE_URL=https://raw.githubusercontent.com/aheimsbakk/notes/master . /etc/os-release rm -f /usr/local/bin/powerline-go if [ "$(uname -m)" = "armv...
true
3b95bb646cab55ceab23ecd825d1af6efa2f6681
Shell
AndreiGolovatskii/sportprog
/lksh2018&POST/2018-july-A-small-archive/courses/examples/array.sh
UTF-8
252
2.59375
3
[]
no_license
sols[0]="solutions/forbidden_basic_ra" scores[0]=10 sols[1]="solutions/forbidden_mp_greedy" scores[1]=50 # $1, $2, .... $* echo ${sols[1]} echo We have ${#sols[*]} solutions, echo scores = ${scores[*]} # f=a b c d # for solution in f ; do # done
true
d38a113d8d9eab4f467f482ca7e47105fc2f1805
Shell
millenito/dotfiles
/.zshrc
UTF-8
12,795
3.015625
3
[]
no_license
# load zgen source "${HOME}/.zgen/zgen.zsh" # if the init scipt doesn't exist if ! zgen saved; then echo "Creating a zgen save" zgen oh-my-zsh # plugins zgen oh-my-zsh plugins/git zgen oh-my-zsh plugins/command-not-found zgen oh-my-zsh plugins/vi-mode zgen oh-my-zsh plugins/colored-man-pag...
true
defeaa77e42153bf0d7e6ba571d37b5a355d811c
Shell
JoshMcguigan/estream
/install.sh
UTF-8
1,578
4.21875
4
[ "MIT", "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env sh # This is slightly modified version of # https://github.com/autozimu/LanguageClient-neovim/blob/next/install.sh # Try install by # - download binary # - build with cargo set -o nounset # error when referencing undefined variable set -o errexit # exit when command fails if [ "$#" -ne 1 ] ...
true
5ebcc0393b42193797a8a3e4a82620e7d05d42bb
Shell
chakralinux/desktop
/qucs/PKGBUILD
UTF-8
1,569
2.828125
3
[]
no_license
# NOTE adms from github is broken # remember to check for updates on https://software.opensuse.org/package/adms once in a while pkgname=qucs pkgver=0.0.19 pkgrel=1 pkgdesc="An integrated circuit simulator with a graphical user interface" arch=('x86_64') url="http://qucs.sourceforge.net" license=('GPL') depends=('gcc-l...
true
de4913482b8120cf1f1467d1d347252bad3920d9
Shell
cedric-dufour/custom-conf
/generic/all/custom-conf-django-1.11/debian/prerm
UTF-8
277
2.765625
3
[ "CC-BY-4.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/bash [ "${1}" != 'purge' ] && exit 0 PKGNAME='custom-conf-django' # Uninstall files custom-conf-uninstall "${PKGNAME}" "/usr/share/${PKGNAME}/config" || exit 1 rm -rf /opt/django-1.11/* /etc/python/django /var/log/python/django /var/cache/python/django # Exit exit 0
true
9e5bcf532b6d7d1cb0c2d49b62f520c9c1426fb7
Shell
jaknu/home
/grafana_entrypoint.sh
UTF-8
340
2.6875
3
[ "MIT" ]
permissive
#!/bin/bash -e /run.sh "$@" & function addsource { curl admin:admin@localhost:3000/api/datasources \ -H "Content-Type: application/json" \ --data-binary '{"name":"influxdb","type":"influxdb","access":"proxy","url":"http://influx:8086","isDefault":true,"database":"home"}' } until addsource; do echo . ...
true
c173c949261db4d8afa99c7860a121f558ff55a1
Shell
Guardians-DSC/shell-scripts
/packages/cabal-install/install.sh
UTF-8
1,721
3.0625
3
[]
no_license
#!/bin/bash ################################################################################################# # # # Script de instalaçãoc...
true
2e2c6c153052e0effee0287c43245d0934d1ba46
Shell
XiLiXiLiXi/Ansible
/Ansible_Linux_Patch/scripts/pre_update.sh
UTF-8
1,771
3.890625
4
[]
no_license
#!/bin/bash # @brief actions required to be conducted before updates are applied # and/or servers are rebooted. logFile="/tmp/pre_update.log" ########################### # Begin Functions # function log_msg { current_time=$(date "+%Y-%m-%d %H:%M:%S.%3N") log_level=$1 # all arguments except for ...
true
1954599822eb59ad39c84e2a7ead2261784c9ba1
Shell
shun-fix9/devel-dockerfiles
/development-environment-setup
UTF-8
2,533
3.453125
3
[ "MIT" ]
permissive
#!/bin/bash development_environment_setup_main(){ local root root=/home/sakai development_environment_setup_dotfiles development_environment_setup_plugins development_environment_setup_vim development_environment_download_direnv } development_environment_setup_dotfiles(){ local dir local repo dir=$root ...
true
4daf644070b57d8687795253ba6ef89bf6b3fe33
Shell
ksalyer/VBSHWWBabyLooper
/scripts/exec_v3.sh
UTF-8
9,839
2.875
3
[]
no_license
# Help usage() { echo "ERROR - Usage:" echo echo " sh $(basename $0) STUDYNAME" echo exit } if [ -z ${1} ]; then usage; fi STUDY=${1} YEARS="2016 2017 2018" EXECUTABLE=./studies/${STUDY}/doAnalysis SAMPLES="TTJets_DiLept \ TTJets_SingleLeptFromT \ TTJets_SingleLeptFromTbar \ TTWJetsToLNu \ TTZToLLNuN...
true
a7b1792f93f0722f9840fc0ded34a3b639568e35
Shell
kenferrara/pbis-open
/dcerpc/demos/echo_server/echo-tests.sh
UTF-8
1,634
3.453125
3
[ "Apache-2.0", "HP-1986", "OLDAP-2.8", "BSD-4-Clause-UC", "BSD-2-Clause" ]
permissive
#!/bin/bash if ! /opt/pbis/bin/klist >/dev/null; then echo "You must use first kinit get credentials in the correct domain." exit 1 fi host=$1 if [ -z "$host" ]; then echo "Specify the host to test against as the first argument" exit 1 fi princ=$2 if [ -z "$princ" ]; then echo "Specify the service principal to use...
true
032abbe41f6dcd4de6ea161396e407fb387d673c
Shell
navidkhoshavi/marss.stt-ram
/vmutils.sh
UTF-8
9,277
3.96875
4
[]
no_license
#!/bin/bash # Source this file (it won't do anything if you just run it) and then use the # commands: vmsetup, vmclone, vmmount, vmumount, vmchroot # # This file contains a set of commands that make it easier to deal with marss disk images # I tried to briefly describe what the functions do, but if you need help # y...
true
b1fbc27db70578a14c50fd85b6ae77a3c74ce111
Shell
AC9090/wipe-script
/make-USB.sh
UTF-8
369
2.53125
3
[]
no_license
#!/bin/bash # GD Sept 2019 # This script moves other scripts into the working chroot directory, then # builds that chroot into an initrd and then runs the ISO burn utility # to build a bootable USB drive # cd ~/Documents/wipe-script sudo ./move_it.sh cd ramdisk_work sudo ./build.sh sudo mintstick -m iso cd ~/Documents/...
true
580c42d057fcba93f0b7dba50b39aa872ed77d5e
Shell
chain2future-os/future-core-scripts
/futureio-tn_bounce.sh
UTF-8
1,332
4
4
[]
no_license
#!/bin/bash # # futureio-tn_bounce is used to restart a node that is acting badly or is down. # usage: futureio-tn_bounce.sh [arglist] # arglist will be passed to the node's command line. First with no modifiers # then with --replay and then a third time with --resync # # the data directory and log file are set by this...
true
134477945d206077ee51fdbcb249df680e7db432
Shell
Nobatek/vmbackup
/vmbackuprotate
UTF-8
2,867
4.3125
4
[ "MIT" ]
permissive
#!/bin/bash ##################################### ## Rotate virtual machines backups ## ##################################### usage () { echo '' echo 'Usage : vmbackuprotate <config file path>' echo ' config file path: path to configuration file' echo '' } # If wrong number of arguments, print usage and e...
true
33732aa3387ff28003b79fceb65cc95f2fff7ccd
Shell
helderco/docker-php
/versions/7.2/init.d/xdebug.sh
UTF-8
214
3.203125
3
[ "MIT" ]
permissive
#!/bin/bash set -e # Enable/disable xdebug if [ "$USE_XDEBUG" = "yes" ]; then cp -n /usr/local/etc/php/xdebug.d/* /usr/local/etc/php/conf.d/ else find /usr/local/etc/php/conf.d -name '*xdebug*' -delete fi
true
50d7535d6c2c6debbc4229434bfd1b46194111be
Shell
circuitfox/dotfiles
/bin/pulsectl
UTF-8
631
3.28125
3
[]
no_license
#!/bin/sh PACIDX=$(pacmd list-sinks | grep -e '\* index:' | awk '{print $3}') case $1 in 'u') pactl set-sink-volume $PACIDX +5% ;; 'U') pactl set-sink-volume $PACIDX +10% ;; 'd') pactl set-sink-volume $PACIDX -5% ;; 'D') pactl set-sink-volume $PACIDX -10% ;; 'm') pactl set-sink-mute $PACIDX togg...
true
b5907e3ee8a2029efc6043597ccb85b031ec0483
Shell
wendyi/continuousSecurityCsharp
/talisman.sh
UTF-8
182
2.53125
3
[]
no_license
printf "refs/heads/master/ " lastCommit="$(git rev-parse HEAD)" printf $lastCommit printf " refs/heads/master/ " firstCommit="$(git rev-list HEAD | tail -n 1)" printf $firstCommit
true
cdb7e5b0428e3873962a8b7eef0d54acd51b20ec
Shell
dp28/dotfiles
/src/git/include_config.sh
UTF-8
363
3.234375
3
[ "MIT" ]
permissive
#! /usr/bin/env bash versioned_config=$DOTFILES_HOME/src/git/config local_config=~/.gitconfig if [ -f $local_config ] ; then if ! grep $versioned_config $local_config 2>&1 > /dev/null ; then echo "[include]" >> $local_config echo " path = $versioned_config ;" >> $local_config fi else cp $versioned_conf...
true
f31e08da37c156d96ce066551eb5bdfeb4865c4a
Shell
Suleman-Elahi/GOMP
/test/create_git_history.sh
UTF-8
551
2.59375
3
[ "MIT" ]
permissive
#!/bin/bash function fakecommit { touch $1.temp git add . git commit -m "Commit $1" } git init git checkout -b main git branch -D master fakecommit 0 fakecommit 1 fakecommit 2 git checkout -b feature fakecommit a fakecommit b git checkout main fakecommit I fakecommit II fakecommit 3 git checkout feature g...
true
52b6e2f06034c6789d4b5e792f9b12a185d7be82
Shell
Kaijun/dashboard
/build/run-gulp-in-docker.sh
UTF-8
1,389
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2017 The Kubernetes Dashboard Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applic...
true
1147edcdb68cef6371ec0eba8755b1c007c06d66
Shell
Ken-Leo/MIPSfpga
/programs/linux_scripts/01_compile_c_to_assembly.sh
UTF-8
525
2.578125
3
[]
no_license
## Compile C to ASM ## Usage: in sub-programs directory (eg. 00_counter) type "sh ../linux_scripts/01_compile_c_to_assembly.sh" ## @author Andrea Guerrieri - andrea.guerrieri@studenti.polito.it ing.guerrieri.a@gmail.com ## @file 01_compile_c_to_assembly.sh #rem -EL - Little-endian #rem -march=m14kc - MIPSfp...
true
073538b8c1899b744e5bbdc5a5473eaa3ea645a5
Shell
ICTU/pipes
/entrypoint.sh
UTF-8
227
2.53125
3
[]
no_license
#!/bin/sh while true ; do if [ "$(ip link show | grep $IF_NAME | grep 'state UP')" != "" ] ; then break ; fi sleep 2 done ip a dhcpcd -t 3600 -L -B -4 -e DNSREG_SOCKET=$DNSREG_SOCKET -e NET_PREFIX=$NET_PREFIX $IF_NAME ip a
true
6a7ff3089d3b8f49b64e61004a34dea2b0e5a171
Shell
gobbledygook88/eclib-data
/atkin/parallel/4/replace.sh
UTF-8
528
3.75
4
[]
no_license
#!/bin/bash # Old file OLD_FILE="tmanin_runtimes-serial-50000-60000.dat" # New file NEW_FILE="tmanin_runtimes-serial-high.dat" # Get number of lines in new file NUM_LINES=$(wc -l < $NEW_FILE) # Loop over new file for (( l=1; l<=$NUM_LINES; l++ )) do # Get value in first column of line l KEY=$(awk "NR==${l} ...
true
4b16698641e425af8792b41fca0b6d7a2cf67f84
Shell
lordgloom/linux_desktop_config
/scripts/dmenu_run_r
UTF-8
311
3.0625
3
[]
no_license
#!/bin/sh # a special version of dmenu_run that remembers the most-recently used items # and shows them first when the menu first pops up RECENT_FILE="${1:-$HOME/.dmenu.recent}" { [[ -s "$RECENT_FILE" ]] && cat "$RECENT_FILE" dmenu_path } \ | dmenu "$@" \ | dmenu_recent \ | ${SHELL:-"/bin/sh"} &
true
64dc187b462e387e02ead8c3a59dde3b824a38b6
Shell
terminusdb-labs/terminusdb-scripts
/push_docker_terminusdb.sh
UTF-8
322
2.671875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash BRANCH=$1 TERMINUSDB_FOLDER="${BRANCH}_${RANDOM}" git clone https://github.com/terminusdb/terminusdb.git --branch $BRANCH --single-branch "$TERMINUSDB_FOLDER" cd "$TERMINUSDB_FOLDER" sudo docker buildx build . -t "terminusdb/terminusdb-server:$BRANCH" sudo docker push "terminusdb/terminusdb-server:$BRANCH"...
true
8433c97180fa62f0154486fdfec3fb7d70608073
Shell
baharxy/_pi_scripts
/wifiScan/setManaged
UTF-8
586
2.78125
3
[]
no_license
#!/bin/bash sudo ifconfig mon0 down sudo iw dev mon0 del sudo iw phy phy0 interface add wlan0 type managed sudo ifdown wlan0 sudo ifup wlan0 iw dev metric=$(sudo ip route show | grep default | grep metric) first_elem= $($metric | awk '{print$1}') if [ -n $first_elem ]; then x=$(sudo ip route show | grep default|...
true
b939220126ecce15ddbe8a4bbafa0a80189a0687
Shell
ekanai/timetree-todays-events-to-slack
/terraform/around_terraform.sh
UTF-8
523
3.75
4
[ "MIT" ]
permissive
#!/bin/sh directories=$(find . -name "resources.*" -maxdepth 2 -type d) if [ 0 = ${#directories[@]} ]; then echo "target is nothing" exit 0 fi for directory in $directories do prefix=$(echo $directory | sed -e "s%/%%") prefix=$(echo $prefix | sed -e "s%.%%") prefix=$(echo $prefix | sed -e "s%/%_%g") for ...
true
a3457cbd97d56d1994dec8c9a054f61d49a170e4
Shell
jheredianet/dockerfiles
/juicefs/entrypoint.sh
UTF-8
1,346
3.4375
3
[]
no_license
#!/bin/bash set -e # Abort entire script if any command fails # S3QL_EXPORTER_ID="" function disconnect() { echo "unmounting $MOUNTPOINT" juicefs umount --force "$MOUNTPOINT" echo "Stop Success!!" } # Cache Size export CACHE_SIZE=$((${CACHE_SIZE}*1024*1024)) # Log Files mkdir -p "$CACHE_PATH" export REDI...
true
5f0a790457f3089e9a2a294fcdcc495d64fe1de9
Shell
skwee357/dotfiles
/.config/tmux/scripts/tmux-kill-session
UTF-8
388
3.328125
3
[]
no_license
#!/bin/bash IS_RUNNING=$(pgrep tmux) if [[ -z $TMUX ]] && [[ -z $IS_RUNNING ]]; then exit 0 fi SESSION_TO_KILL="$(tmux list-sessions | sed -n '/(attached)/s/:.*//p')" SESSION_TO_SWITCH="$(tmux list-sessions | sed -n '/(attached)/!s/:.*//p' | head -n 1)" if [[ ! -z $SESSION_TO_SWITCH ]]; then tmux switch-cli...
true
588fe561d92c5fdbf01668e7c4268fd308fba9d7
Shell
vrijeshpatel1997/CST-221
/var2.sh
UTF-8
357
3.03125
3
[]
no_license
#!/bin/sh # create a variable and export it for this shell as well as all other processes MYVAR="This is a test" export MYVAR; echo "####################### " echo "########################### var1.sh ############# " echo "####################### " printenv # call another script exec ./var2.sh # run in same process...
true
e87214fe014edf3c11ad7b535a6b49e7d8e8357e
Shell
riszkymf/cron_telegram
/entrypoint.sh
UTF-8
1,243
3.4375
3
[]
no_license
#!/bin/bash set -f CRONJOBS_FILE='crontab/cron' not_null_re='^(\*\/[0-9])|([0-9])+$' if [[ ! "$CRONJOB_COMMAND" ]] then echo -e "\e[31mERROR : CRONJOB_COMMAND does not exist!\e[0m" exit fi if [[ "$CRON_MONTH" =~ $not_null_re ]] && [[ ! "$CRON_DoM" =~ $not_null_re ]] && [[ ! "$CRON_DoW" =~ $not_null_re ]] t...
true
0925804bf55d0260bf18cbc3f9fcef0e29df7755
Shell
athoik/GreekStreamTV
/plugin/update.sh
UTF-8
214
3.046875
3
[]
no_license
#!/bin/sh URL="http://sgcpm.com/livestream/stream.xml" if wget -q -O /tmp/stream.xml $URL then mv /tmp/stream.xml $1 echo "stations updated successfully" else echo "error downloading stations" fi echo
true
7d5b2bbe78e3273d629a83581b65cba316578798
Shell
gavinblair/weather
/setup.sh
UTF-8
2,641
2.53125
3
[ "MIT" ]
permissive
npm install grunt --save-dev; npm install grunt-contrib-watch --save-dev; npm install grunt-contrib-uglify --save-dev; npm install grunt-contrib-jshint --save-dev; npm install grunt-contrib-qunit --save-dev; npm install qunitjs --save-dev; mkdir --parents js/test; mkdir --parents js/lib; mkdir --parents js/prod; cp nod...
true
98c58e752f1170f6dc2fbefa09f1da733d8b0ac2
Shell
Palkovsky/ps
/l7/z56/mk_rootfs.sh
UTF-8
1,398
4.0625
4
[]
no_license
#!/bin/bash IMG_SIZE=512M BEFORE_CMD="" CHROOT_CMD="" AFTER_CMD="" POSITIONAL=() while [[ $# -gt 0 ]] do key="$1" case $key in --before) BEFORE_CMD=$2 shift ; shift ;; --chroot) CHROOT_CMD=$2 shift ; shift ;; --aft...
true
efea4457e47a20e28a94cd2b866cc000c5e45f48
Shell
gonzo-soc/rollUpIt.lnx
/libs/lnx_debian09/sm.sh
UTF-8
9,564
3.125
3
[]
no_license
#! /bin/bash doUpdate_SM_RUI() { local -r debug_prefix="debug: [$0] [ $FUNCNAME ] : " printf "$debug_prefix ${GRN_ROLLUP_IT} ENTER ${END_ROLLUP_IT} \n" apt-get -y update # need to avoid grub-pc dialog: see https://github.com/hashicorp/vagrant/issues/289 echo "grub-pc grub-pc/install_devices_disks_changed mu...
true
d0e809a40c1dd2a237b994f48b79c64c493596f3
Shell
kth5/archpower
/sz/PKGBUILD
UTF-8
1,214
2.734375
3
[]
no_license
# POWER Maintainer: Alexander Baldeck <alex.bldck@gmail.com> # Maintainer: Bruno Pagani <archange@archlinux.org> pkgname=sz pkgver=2.1.12.5 pkgrel=3 pkgdesc="Modular parametrizable lossy compressor framework for scientific data" arch=(x86_64 powerpc64le powerpc64 powerpc riscv64) url="https://szcompressor.org/" licens...
true
c3e308e8cfb08ef8a221758cadc173315b943187
Shell
CNG/dotfiles_mac
/mods-available/base/functions/schedule-task
UTF-8
928
4.03125
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # Add cron job if it doesn't exist # # Usage: schedule-task 'line_as_will_appear_in_crontab' [ user ] # # Example: schedule-task '*/3 * * * * cd $MT; perl ./tools/run-periodic-tasks -verbose >> $MTLOGDIR/rpt.log 2>&1' www-data # # Idea from http://stackoverflow.com/a/8106460/172602 # Exit if any ...
true
808c4773aaabca039e6842b4ed3341f2168daaa7
Shell
mika-fischer/dotfiles
/bash/bashrc
UTF-8
5,226
3.4375
3
[]
no_license
#---------------------------------------------------------------------------- # ~/.bashrc # This file is read for interactive shells. #---------------------------------------------------------------------------- #---------------------------------------------------------------------------- # Environment variables #----...
true
01f9f3077a0f7fbece3f45c119cdc8fa82370199
Shell
adunkman/deployasaur.us
/public/deploy.sh
UTF-8
2,979
3.6875
4
[]
no_license
#!/bin/bash blue=$(tput setaf 4) green=$(tput setaf 2) yellow=$(tput setaf 3) red=$(tput setaf 1) reset=$(tput sgr0) function print() { echo "${blue}http://deployasaur.us:${reset} $1" } [[ $(git remote -v) =~ git://github.com/([^ ]+).git ]] repository=${BASH_REMATCH[1]} branch=$TRAVIS_BRANCH build=$TRAVIS_BUILD_NUM...
true
fcf4b7af76ee195982546a8667b1f1230abd0efd
Shell
amercader/WMS-Inspector
/build/build.sh
UTF-8
913
3.921875
4
[]
no_license
#! /bin/sh usage="Usage: $0 [-j -v version] directory" version="" dojar=false while getopts 'jv:' option do case "$option" in v) version="$OPTARG";; j) dojar=true;; #[?]) print >&2 $usage [?]) echo $usage exit 1;; esac done shift $(($OPTIND - 1)) if [ ! "$1" ] then echo "Parameter missing" echo ...
true
f0c488cb5a524db573a4931b16a10ac8547a3a25
Shell
nakkumar/aiops
/AlienVault/mail-windows-script.sh
UTF-8
876
2.828125
3
[]
no_license
#!/bin/sh # mkdir /home/$(whoami)/log # touch /tmp/data_after1 # touch /tmp/data_before1 sudo tail /var/ossec/logs/alerts/alerts.log > /tmp/data_after1 msg=$(tail /tmp/data_after1) error=$(tail /tmp/data_after1 | grep 'Win.Test.EICAR_HDB-1' | wc -l) virus=$(tail /tmp/data_after1 | grep 'Win.Test.EICAR_HD...
true
b14a398f42c4987ab4a68fc6c3f6bc3618f3867f
Shell
inm7/vbc_mri_pipeline
/code/examples/train_HarvOxf_96R_gcs_step_1.sh
UTF-8
3,960
3.203125
3
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/bin/bash # train_HarvOxf_96R_gcs.sh # ------------------------ # grp=HCP # sbj=101309 grp=${1} sbj=${2} fp=/mnt_fp # /p/project/cjinm71/SC_Pipe_jung3/Neuroimage/Tools/freesurfer/subjects ap=/mnt_ap # /p/project/cjinm71/SC_Pipe_jung3/Neuroimage/Atlas tp=/mnt_tp # /p/scratch/cjinm71/jung3/03_Structural_Connectivity ...
true
056958823ca45047dc4b6a3523f9ced21a0f23f7
Shell
josepht/home
/bin/bzr_setup.sh
UTF-8
291
3.25
3
[]
no_license
#!/bin/sh set -x BZR_ROOT=$HOME/src/bzr for PROJ in $BZR_PROJECTS; do cd $BZR_ROOT # Don't bother if the project already exists if [ -d $PROJ ];then continue fi mkdir $PROJ cd $PROJ bzr init-repo . bzr branch lp:$PROJ trunk bzr checkout --lightweight trunk current-work done
true
5df144a63a2ba41c32dbbaa936a60385ed2152cb
Shell
Soufas/rhel_centos_minimal_starter_package
/rhel_centos_starter_kit_minimal/files/nm_disable.sh
UTF-8
270
3.328125
3
[]
no_license
#!/bin/bash CHANGES=0 for IFCFG in /etc/sysconfig/network-scripts/ifcfg-* ;do echo $IFCFG OCCURENCE=$(grep NM_CONTROLLED $IFCFG |wc -l) if [ $OCCURENCE == 0 ]; then echo NM_CONTROLLED=false >> $IFCFG CHANGES=$[ $CHANGES + 1 ] fi done if [ $CHANGES -eq 0 ];then exit 1 fi
true
fd57d816fff586c2c3c10e43c4ec954429121319
Shell
CaeirOps/ec2spot-lambda-dotnet
/3-invoke.sh
UTF-8
415
2.8125
3
[]
no_license
#!/bin/bash set -eo pipefail #FUNCTION=$(aws cloudformation describe-stack-resource --stack-name ec2-spot --logical-resource-id function --query 'StackResourceDetail.PhysicalResourceId' --output text) COUNTER=0 while [ $COUNTER -lt 3 ]; do aws lambda invoke --function-name lambda-dev-test --region us-east-1 --paylo...
true
4293c0bed775cdb26f8d4fe1798ddd284c041d9a
Shell
pegasus-isi/ACME-Workflow
/plan.sh
UTF-8
888
3.28125
3
[]
no_license
#!/bin/bash SITE=local-pbs-titan OUTPUT_SITE=local-pbs-titan if [ $# -ne 1 ]; then echo "Usage: $0 WORKFLOW_DIR" exit 1 fi WORKFLOW_DIR=$1 if [ -d "$WORKFLOW_DIR" ]; then WORKFLOW_DIR=$(cd $WORKFLOW_DIR && pwd) else echo "No such directory: $WORKFLOW_DIR" exit 1 fi source $WORKFLOW_DIR/env.sh ...
true
cec223d59676e41e6c2a52b3dbd32a2822abbf6b
Shell
JayPhil2k19/main
/scr/auto-install.sh
UTF-8
1,438
3.78125
4
[]
no_license
#! /bin/bash #Menu Interface menu_fnc(){ echo "System Setup Utility!" PS3='Please make selection: ' local men_opt_ary=( "Install Software" "Information" "Exit") local men_cho= select men_cho in "${men_opt_ary[@]}" do case $men_cho in "Install Software") install_fnc;; "Information") info_fnc;; "Exit") exit;; *) ec...
true
9120947ccf0d9bbba9d1a1b294404ce7c9eb2701
Shell
riterdando/dotfiles
/.bashrc
UTF-8
3,837
3.25
3
[]
no_license
# ----------------------------------------------------------------------------- # Bash configuration, derived from SuSe sample .bashrc. # # There are 3 different types of shells in bash: the login shell, normal shell # and interactive shell. Login shells read ~/.profile and interactive shells # read ~/.bashrc; in our s...
true
7f44a0c60b824d6e84fe6e3e085bb36c8349854c
Shell
AutomateCompliance/complianceascode-content
/build-oval510/rhv4/fixes/bash/accounts_passwords_pam_faillock_interval.sh
UTF-8
2,986
3.46875
3
[ "BSD-3-Clause" ]
permissive
# platform = multi_platform_rhel,multi_platform_fedora,multi_platform_ol,multi_platform_rhv # Remediation is applicable only in certain platforms if rpm --quiet -q pam; then var_accounts_passwords_pam_faillock_fail_interval="(bash-populate var_accounts_passwords_pam_faillock_fail_interval)" AUTH_FILES=("/etc/pam.d/s...
true
c2922b370026e3b61305657dffe6251b1b6a2329
Shell
pro-gramma/cisc220_2
/queensuComputingSubdomainFinder.sh
UTF-8
271
2.9375
3
[]
no_license
#!bin/bash #James Neverson 10193581 echo -e "IP Address\tSub-Domain" for ((i=0;i<=255;i++));do for ((ii=0;ii<=255;ii++));do output=($(nslookup 130.15.${i}.${ii})) if [[ "${output[9]}" == *"cs.queensu.ca." ]];then echo -e "130.15.${i}.${ii}\t${output[9]}" fi done done
true
40b3112ba894d02f3db627780ec4cecd618754ba
Shell
termux/termux-packages
/packages/rhash/build.sh
UTF-8
1,438
2.84375
3
[ "Apache-2.0" ]
permissive
TERMUX_PKG_HOMEPAGE=https://github.com/rhash/RHash TERMUX_PKG_DESCRIPTION="Console utility for calculation and verification of magnet links and a wide range of hash sums" TERMUX_PKG_LICENSE="MIT" TERMUX_PKG_MAINTAINER="@termux" TERMUX_PKG_VERSION=1.4.4 TERMUX_PKG_SRCURL=https://github.com/rhash/RHash/archive/v$TERMUX_P...
true
ab86fb5a9f6b3c6249ba658f11a80a672b5a87f3
Shell
petronny/aur3-mirror
/kf5-akonadi/PKGBUILD
UTF-8
932
2.71875
3
[]
no_license
# Maintainer: Andrea Scarpino <andrea@archlinux.org> pkgname=kf5-akonadi pkgver=1.12.1 pkgrel=1 pkgdesc="PIM layer, which provides an asynchronous API to access all kind of PIM data" arch=('i686' 'x86_64') url='http://community.kde.org/KDE_PIM/Akonadi' license=('LGPL') depends=('shared-mime-info' 'boost-libs' 'mariadb...
true
57698ff0d5736ce927af0c080d64ce3ea1f8f0d0
Shell
fastZhe/common
/linux/losePacket/losePacket.sh
UTF-8
1,109
3.71875
4
[]
no_license
#!/usr/bin/env bash #set -x . ./log.sh basepath=$(cd `dirname $0`;pwd) baselevel=100 ips=$1 if [ -z "$ips" ];then echo [use $0 ipfile or $0 ipfile [50]] ; exit 1 fi if [ ! -z "$2" ];then baselevel=$2 fi echo >./failture_ip.txt echo >./success_ip.txt #########################################################...
true
2e2372dff5a3dd220e76ad221233e03b021fb52e
Shell
lbflyseed/build
/mk-spinor-fw.sh
UTF-8
4,115
3.171875
3
[]
no_license
#!/bin/bash -e if [ ! $_TARGET_CHIP ] ; then echo "source build/envsetup.sh firstly" exit -1 fi img_name=${_TARGET_PLATFORM}-${_TARGET_OS}-${_TARGET_BOARD}-spinor.img source build/setting.mk pack_dir=${TOOLS_DIR}/pack pack_tools_dir=${pack_dir}/pctools/linux board_out_dir=${OUT_DIR}/${_TARGET_PLATFORM}/${_TARGET_...
true
044e43adecb32b80189f48d2ce4ae42e8b494493
Shell
zoojar/tf-puppet
/scripts/configure_autosigning_foss.sh
UTF-8
684
3.3125
3
[]
no_license
#!/bin/bash # Script to configure autosigning on PE 2016.5.1. Accepts one argument: the PSK - written into /etc/puppetlabs/puppet/global-psk. psk=$1 autosign_exe_url="https://raw.githubusercontent.com/zoojar/classified/master/autosign.sh" echo "Configuring policy-based autosigning..." echo $psk >/etc/puppetlabs/puppe...
true
ffd05b6bceec2342651b161d87748d6c1b35a8c8
Shell
Zuko/mumble-releng
/buildenv/win32-static/build-bzip2.bash
UTF-8
449
2.65625
3
[]
no_license
#!/bin/bash -ex source common.bash fetch_if_not_exists "http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz" expect_sha1 "bzip2-1.0.6.tar.gz" "3f89f861209ce81a6bab1fd1998c0ef311712002" tar -zxf bzip2-1.0.6.tar.gz cd bzip2-1.0.6 patch -p1 < ${MUMBLE_BUILDENV_ROOT}/patches/bzip2-linker-pdb.patch cmd /c nmake /f makefile.msc m...
true
5860349d15083b24b4a41705be8e3513d56fe37a
Shell
maxrd2/arch-repo
/packages/mingw-libs/mingw-w64-docbook-wrapper/PKGBUILD
UTF-8
441
2.9375
3
[]
no_license
_pkgname=docbook-wrapper pkgname=mingw-w64-$_pkgname pkgver=1.0 pkgrel=1 arch=(any) pkgdesc="Symlink system docbook-* packages (mingw-w64)" license=(custom) url='https://docbook.org/' _architectures="i686-w64-mingw32 x86_64-w64-mingw32" package() { for _arch in ${_architectures}; do install -d "$pkgdir/usr/${_a...
true
7e206cac31badc0683c9843696e7e74bcf93151e
Shell
iainthegray/vault-dr-vagrant
/consul_config_1.5.sh
UTF-8
2,118
3.15625
3
[]
no_license
#!/bin/bash readonly DEFAULT_INSTALL_PATH="/usr/local/bin/consul" readonly DEFAULT_CONSUL_USER="consul" readonly DEFAULT_CONSUL_PATH="/etc/consul.d" readonly DEFAULT_CONSUL_OPT="/opt/consul-storage/" readonly DEFAULT_CONSUL_CONFIG="consul.hcl" readonly DEFAULT_CONSUL_SERVICE="/etc/systemd/system/consul.service" readon...
true
8d613770b47e1777ebfcd853b1273dbe25d05f8d
Shell
shimajima-eiji/Chocolatey
/wsl/git/update_clones.sh
UTF-8
1,755
3.8125
4
[]
no_license
#!/bin/sh <<README CHANGELOG.mdを自動更新した時に、開発で使っている環境も更新してほしい時に自動化させる 誤作動防止のため、引数をフルパスで設定する必要がある。 # 使い方 curl https://raw.githubusercontent.com/shimajima-eiji/Chocolatey/master/wsl/git/update_clones.sh 2>/dev/null | sh -s -- ディレクトリ名1 ディレクトリ名2... ## 応用 git pullしたいパスの数だけ実施させることができるので、findコマンドで引数を与えてやるのが良い sh -s -- $(find ...
true
2ec661c6a0997fab148762cad7c1439f21e584c4
Shell
BoobooWei/booboo_redis
/shellscripts/redisctlnew.sh
UTF-8
713
3.78125
4
[]
no_license
#!/bin/bash #Usage: redisctl start|stop|status # 同时启动多实例 start_redis(){ for i in `seq 6379 6478` do /usr/local/redis-3.0.7/src/redis-server /data/redis/conf/redis${i}.conf & done } # 查看所有实例的守护进程 status_redis(){ count=`ps -ef|grep "redis-server" | grep -v 'grep'|wc -l` if [ $count == 100 ] ;then echo redis server is ...
true
b8976210e770afd21d139ab4724dc42768db947e
Shell
jonprindiville/pepo
/push-gh-pages.sh
UTF-8
770
3.625
4
[ "MIT" ]
permissive
#!/bin/bash -x # # push-gh-pages.sh # # What? # - helps update https://jonprindiville.github.io/pepo/ by pushing new # index.html to the gh-pages branch # # How? # - develop develop develop, commit, push new pepo.elm to master branch # - ./push-gh-pages.sh # - was there a new "Autoupdate" commit created in gh-pages b...
true
a48ec859cdf6278730dd185618b52a2f1c527936
Shell
pedromundo/tesseroids
/cookbook/tess2prism/tess2prism.sh
UTF-8
697
2.859375
3
[ "LicenseRef-scancode-unknown-license-reference", "BSD-3-Clause" ]
permissive
#!/bin/bash # Generate a prism model from a tesseroid model. # Prisms will have the same mass as the tesseroids and # associated spherical coordinates of the center of # the top of the tesseroid. tess2prism < tess-model.txt > prism-model.txt # Generate a regular grid in spherical coordinates, # pipe the grid to the ...
true
c4b6acb5ee06751ad26a24397515ffe8c5131bb5
Shell
michaelficarra/dotfiles
/bashrc
UTF-8
1,865
3
3
[]
no_license
set -o vi export PATH=$HOME/bin:$HOME/.local/bin:/sbin:/usr/sbin:$PATH export TERM=xterm-256color export GREP_OPTIONS='--color=auto' if [ $(id -u) -eq 0 ]; then UIDENT="#" else UIDENT="$" fi export PROMPT_COMMAND='PS1="[\u@\h \w]` if [[ \$? = "0" ]]; then echo "\\[\\033[0;32m\\]"; else echo "\\[\\033[0;31m\\]"; f...
true
61b1d334ef5642dae8676296371b069f2529439a
Shell
ychenut/qiandao
/update.sh
UTF-8
240
2.640625
3
[ "MIT" ]
permissive
#!/bin/sh cd /usr/src/app git fetch --all git reset --hard origin/master git pull if [ $AUTO_RELOAD ] && [ "$AUTO_RELOAD" == "False" ];then echo "Info: 请手动重启容器,或设置环境变量AUTO_RELOAD以开启热更新功能" fi
true
6c17469a9b08e4ff6c3c9c28dfa61bbe510a4467
Shell
talent518/utils
/pstore.sh
UTF-8
768
3.671875
4
[]
no_license
#!/bin/sh set -e if [ ${1:-0} -gt 0 ]; then sleep $1 fi mount -t pstore pstore /sys/fs/pstore dmpDir=/var/pstore dmpLog=$dmpDir/sh.log files=$(find /sys/fs/pstore -name "*-ramoops-*" | xargs -n 100 echo) mkdir -p $dmpDir if [ ${#files} -eq 0 ]; then echo "Not found file" >> $dmpLog exit 0 fi echo "Found file...
true
12d7fcdcf8ee89d86181054cbbea363727cbe31d
Shell
BenJule/cm_build_scripts
/repo_sync_cm14
UTF-8
1,778
2.671875
3
[]
no_license
#!/bin/bash # Path to root of CM project directory CM_PROJECT_DIR=~/workspace/CM14.1-Nightly CM_DEVICE=~/workspace/CM14.1-Nightly/device/samsung/jfltexx CM_KERNEL=~/workspace/CM14.1-Nightly/kernel/samsung/jf CM_VENDOR=~/workspace/CM14.1-Nightly/vendor/samsung CM_QCOM=~/workspace/CM14.1-Nightly/vendor/qcom/binaries CM_...
true
0bba37397aaec920b4ce245104cdaa2ed956321a
Shell
masak/tilde-bin
/git-wip
UTF-8
269
2.828125
3
[]
no_license
#! /bin/bash BRANCH_NAME=`git symbolic-ref --short HEAD` git checkout -q -b "$BRANCH_NAME-wip" && git add -A && git commit -q -m'wip' && git checkout -q "$BRANCH_NAME" SHA=`git rev-parse --short $BRANCH_NAME-wip` echo "Stashed to $BRANCH_NAME-wip ($SHA)"
true
7a03b5a79e7584deaf401a904fce74bd4fb95ddf
Shell
eliasnorrby/dotfiles
/wm/bspwm/bspwmrc
UTF-8
2,140
2.984375
3
[ "MIT" ]
permissive
#! /bin/sh _is_callable () { command -v "$1" >/dev/null || return 1 } if ! _is_callable sxhkd ; then echo "sxhkd not found : exiting" bspc quit exit 1 fi xrandr --output DP-1 --auto --primary --output DVI-D-0 --auto --right-of DP-1 --output DVI-I-1 --auto --left-of DP-1 bspc monitor DVI-I-1 -d A1 A2 A3 A4 A...
true
d19a426d5e8acb7203fe490585cd1d714b6a59c0
Shell
skuapso/skuapso
/start
UTF-8
265
2.96875
3
[ "MIT" ]
permissive
#!/bin/sh if [ -z $SKUAPSO_CONFIG_DIR ]; then SKUAPSO_CONFIG_DIR="./etc" fi CONFIG="" for i in $(ls $SKUAPSO_CONFIG_DIR/*.config); do CONFIG="$CONFIG -config $i" done echo "$CONFIG" erl -pa ebin -pa lib/*/ebin $CONFIG -args_file $SKUAPSO_CONFIG_DIR/vm.args
true
d4de1213a2860558fd8c3d44697d948dfb13153a
Shell
nnh/utm_management
/programs/grep.sh
UTF-8
208
3.078125
3
[ "MIT" ]
permissive
#!/bin/sh DATA=`cat macAddr.txt` while read line do temp=`echo ${line//:/}` temp2=`echo ${temp:0:6}-${temp:6:12}` echo $temp2 grep $temp2 ../macAddressList/*.txt > $temp2.txt done << FILE $DATA FILE
true
2d95c9b92d3cd57eb6752ccc6c5bb6598553bfa3
Shell
evicinelli/Dotfiles
/.config/argos/2.bluetooth-devices.5m+.sh
UTF-8
1,240
3.390625
3
[]
no_license
#! /usr/bin/env bash IFS=$'\n' printmono(){ for line in $*; do echo "$line | font=Monospace color=gray" done } powered="$(bluetoothctl show | grep Powered | sed "s,\tPowered: ,,")" [[ $powered == "yes" ]] && color="white" || color="gray" [[ $(bluetoothctl info | grep "Paired" | awk -F': ' '{print $2}...
true
20d39019d610b43d363b3924bbcb37292140f964
Shell
cloudfoundry-attic/mega-ci
/scripts/ci/deploy-aws-manifests/deploy-etcd-aws-manifests
UTF-8
1,520
3.453125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -exu ROOT="${PWD}" release_version="99999+dev.$(date +%s)" function upload_release() { local release_path="$1" pushd "${ROOT}/${release_path}" > /dev/null /opt/rubies/ruby-2.2.4/bin/bosh -n create release --force --version ${release_version} /opt/rubies/ruby-2.2.4/bin/bosh -n -t ${BOSH_DIRECT...
true
857c4d2acb90e2ac82fb31c61ffce70082fb2bf0
Shell
koji-takahiro/FarManager
/misc/nightly/colorer.sh
UTF-8
1,254
3.609375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash function bcolorer { BIT=$1 PLUGIN=FarColorer COLORER_VERSION=$(curl -fsLJ 'https://raw.githubusercontent.com/colorer/FarColorer/master/version4far.txt') if [ -z "$COLORER_VERSION" ]; then echo "Failed to get Colorer version" return 1 fi echo "Download FarColorer ${COLORER_VERSION}" C...
true
aafc2c23e8e92f88cb20240b773ca2ad3b69d7b3
Shell
dc376/it340
/nagioslogserver/subcomponents/kibana/upgrade
UTF-8
795
3.78125
4
[]
no_license
#!/bin/sh -e pkgname="kibana" echo "Upgrading Kibana..." # Delete the old archive #rm -rf "$pkgname" # Extract archive #tar -xzf "$pkgname.tar.gz" # Copy new files over ( mkdir -p /var/www/html/nagioslogserver/www cp -r $pkgname/src/* /var/www/html/nagioslogserver/www if [ -f /var/www/html/nagioslogserver/ww...
true
a3ddff66ee80bafd376bfcb9258bccdcf5d635ae
Shell
qjpoo/shellscript
/ScriptTutorials/tutorialspoint_UnixTutorial_Scripts/f036_ShellSubstitutions_VariableSubstitution.sh
UTF-8
917
4
4
[]
no_license
#!/bin/bash # ${var} Substitue the value of var. # ${var:-word} If var is null or unset, word is substituted for var. The value of var does not change. # ${var:=word} If var is null or unset, var is set to the value of word. # ${var:?message} If var is null or unset, message is printed to standard error. This chec...
true